#ifndef _H_MCL_CLIARGS
#define _H_MCL_CLIARGS

#include <getopt.h>
#include <stdio.h>
#include <stdlib.h>
#include "dyn_arr.h"

#ifndef MCL_VERSION
#define MCL_VERSION "0.0.1"
#endif

typedef char* string;
DEFINE_DA(string, char*)

static struct option cli_options[] = {
    {"help",    no_argument,       0, 'h'},
    {"version", no_argument,       0, 'v'},
    {"output",  required_argument, 0, 'o'},
    {"debug",   no_argument,       0, 'd'},
    {0,0,0,0}
};

typedef struct cliargs_s {
    bool help;
    bool version;
    bool debug;
    char* output;
    mcl_da_string_t input;
} cliargs_t;

cliargs_t* parse_cliargs(int argc, char** argv);


#endif
